(function ($) {
    $(document).ready(function () {
        $("#setting-tabs").tabs();
        $('.mblpr-fields').on('click', '[data-id]', function () {
            let container = $(this).closest('[data-constructor]')
            let num = $(this).closest('[data-constructor]').data('constructor');
            $(this).addClass('mblpr-disabled')
            let field = $(this).data()['item']['field']
            let label = $(this).data()['item']['label']
            container.find('[data-sortable]').append($('<div data-id="${field}" class="mblpr-field-edit">' +
                `<span class="dashicons dashicons-move"></span>` +
                (
                    field !== 'display_name'
                        ? (
                            `<label data-icon="" class="mblpr-field-icon"><span class="fa"></span>` +
                            `<input type="hidden" value="" name="mblpr_shortcodes[${num}][${field}][icon]">` +
                            `<button type="button">Иконка</button>` +
                            `</label>`
                        )
                        : ''
                ) +
                `<input type="hidden" name="mblpr_shortcodes[${num}][order][]" value="${field}">` +
                `<div class="mblpr-field-wrap "><input type="text" placeholder="${label}" name="mblpr_shortcodes[${num}][${field}][label]"></div>` +
                `<div class="mblpr-required">Обязательное <input type="hidden" name="mblpr_shortcodes[${num}][${field}][required]" value="0">` +
                (['user_nicename', 'user_email'].includes(field)
                        ? `<input type="checkbox" checked disabled name="mblpr_shortcodes[${num}][${field}][required]" value="1">`
                        : `<input type="checkbox" name="mblpr_shortcodes[${num}][${field}][required]" value="1">`
                ) +
                `</div>` +
                `<button data-remove="${field}" type="button" class="mblpr-trash"><span class="dashicons dashicons-trash"></span></button>` +
                '</div>'))
        })
        $('[data-sortable]').on('click', '[data-remove]', function () {
            let container = $(this).closest('[data-constructor]')
            let field = $(this).data('remove')
            $(this).closest('[data-id]').remove()
            container.find(`.mblpr-field[data-id=${field}]`).removeClass('mblpr-disabled')
        })
        $("[data-sortable]").sortable({});
    })
})(jQuery);
