<?php
/*

Plugin Name: MEMBERLUX PROFILE
Plugin URI: https://memberlux.com
Description: МОДУЛЬ ЛИЧНОГО КАБИНЕТА
Version: 1.13
Author: Виктор Левчук
Author URI: https://t.me/leviktor

*/
namespace Mbl\Profile;

use Puc_v4_Factory;
use function get_plugin_data;
if (!defined('ABSPATH')) {
	exit;
}
if (!function_exists('get_plugin_data')) {
	require_once(ABSPATH . 'wp-admin/includes/plugin.php');
}
$plugin_data = get_plugin_data(__FILE__);
define('MBLPR_VERSION', $plugin_data['Version']);
define('MBLPR_PLUGIN_FILE', __FILE__);
define('MBLPR_PLUGIN_URI', plugin_dir_url(__FILE__));
define('MBLPR_PLUGIN_PATH', plugin_dir_path(__FILE__));
require_once __DIR__ . "/src/main.php";
$core = new Core(new Plugin());
$core->run();
require __DIR__ . '/plugin-update-checker/plugin-update-checker.php';
$myUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
	'https://github.com/MEMBERLUX/mbl-profile/',
	__FILE__,
	'mbl-profile'
);
$myUpdateChecker->setAuthentication('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');
